#ifndef KYLIN_H
#define KYLIN_H

#include <gio/gio.h>

#define KYLIN_PLUGIN_BUS          G_BUS_TYPE_SESSION
#define KYLIN_PLUGIN_BUS_NAME     "org.gnome.Mutter.KylinPlugin"
#define KYLIN_PLUGIN_OBJECT_PATH  "/org/gnome/Mutter/KylinPlugin"

#define ATP_COUNT 128

typedef struct _alt_tab_item {
  char * title_name;
  unsigned long xid;
  int x;
  int y;
  int width;
  int height;
  void * icon;
} alt_tab_item;

#define PATH_MAX_LEN	1024
#define PID_STRING_LEN	64

#define TAB_LIST_IMAGE_FILE   "mutter-tab-list.image"
#define WORKSPACE_IMAGE_FILE  "mutter-workspace.image"
#define PROGRAM_NAME          "kylin-window-switch"

#endif // KYLIN_H

